function bar3custom(A)
%--------------------------------------------------------------------------
% Draw a three dimensional bar graph with bars colored by hight. 
% 
% bar3custom(A)
%
% Input:
% A     - Matrix
%--------------------------------------------------------------------------
% CMAPP: Clustered matrix approximation
% Copyright 2015, Berkant Savas
% University of Texas at Austin 2009-2011, Linkoping University 2011-2015
%--------------------------------------------------------------------------

h = bar3(A);
colormap('jet')
colorbar
for k = 1:length(h)
    zdata = h(k).ZData;
    h(k).CData = zdata;
    h(k).FaceColor = 'interp';
end
